#include <bits/stdc++.h>
using namespace std;
int max(int a[],int n){
	int m=a[0];
	for(int i=1;i<=n;i++){
		if(m<=a[i]){
			m=a[i];
		}
	}
	return m;
}	
int main()
{
    ios_base::sync_with_stdio(false);
	cin.tie(NULL);
    int n,a[200000],q,l[100000],r[100000];
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    cin>>q;
    for(int i=0;i<q;i++){
        cin>>l[i]>>r[i];
    }
    for(int i=0;i<q;i++){
    	if(l[i]==r[i]){
			cout<<"DA"<<endl;
			break;
		}
        int x[n];
        int p=0;
        for(int j=l[i]-1;j<r[i];j++){
            x[p]=a[j];
            p++;
        }
        int m=max(x,p);
        int o=1;
        for(int w=0;w<n-1;w++){
        	if(x[w]!=m){
        		if(x[w+1]!=m){
					if(a[w]>a[w+1]){
						cout<<"NE"<<endl;
						o=0;
					}
				}
			}
		}
		if(o==1){
			cout<<"DA"<<endl;
    	}
    }
    
 return 0;
}